How to help translate the app
=============================

There are 2 ways to translate the app:

**1. Standard way**

Take the original [strings.xml](/app/src/main/res/values/strings.xml) file, translate into your language and send the translated version to my email: odnovolov.artem@gmail.com. You may additionally find [the article about strings](https://developer.android.com/guide/topics/resources/string-resource) useful. As an example, I provide my translations:
* [strings.xml](/app/src/main/res/values-uk/strings.xml) (Ukrainian)
* [strings.xml](/app/src/main/res/values-ru/strings.xml) (Russian)


**2. Using the service Crowdin (recommended)**

Visit [the ForgetMeNot project page on Crowdin](https://crowdin.com/project/forgetmenot), select the language, select the file 'strings.xml'. You will come to edit mode. The advantage of this approach:
* user-friendly interface
* there are many strings accompanied with screenshots
* machine translation suggestions to help you complete the translation in one click
* you may translate not all at once
* provide up-to-date translations along with app evolution

Current state
-------------

I would like to express my deep gratitude to everyone (especially the people from [sekinfo.org](https://www.sekinfo.org)), who support the project by providing translation. You’re the best!

Language | Progress | Translators
---------|----------|------------
🏴󠁥󠁳󠁰󠁶󠁿 Basque | 95% | [soplatnik](https://crowdin.com/profile/soplatnik), [avtkal](https://crowdin.com/profile/avtkal)
🇨🇳 Chinese Simplified | 11% | [crown538](https://crowdin.com/profile/crown538)
🇨🇿 Czech | 14% | [teasin951](https://crowdin.com/profile/teasin951), [Shimoon Horanek](https://crowdin.com/profile/shimonh)
🇳🇱 Dutch | 4% | [patilla](https://crowdin.com/profile/patilla), [NLvertaler](https://crowdin.com/profile/nlvertaler)
🇫🇷 French | 95% | [Mr B](https://crowdin.com/profile/mrb7), [PhirosWolf](https://crowdin.com/profile/phiroswolf), [Sitavi](https://crowdin.com/profile/sitavi), [QuantiQia](https://crowdin.com/profile/quantiqia), [eiryelio](https://crowdin.com/profile/eiryelio), [How to Poop in 2021](https://crowdin.com/profile/howtopoopin2021official), [Ryu1845](https://crowdin.com/profile/ryu1845)
🇩🇪 German | 95% | [avtkal](https://crowdin.com/profile/avtkal), [Tsef](https://crowdin.com/profile/tsef), [Zonrad_Kuse](https://crowdin.com/profile/zonrad_kuse), [teaspoon](https://crowdin.com/profile/teaspoon), [statoquant](https://crowdin.com/profile/statoquant), [dasnessie](https://crowdin.com/profile/dasnessie), [BlueFox4](https://crowdin.com/profile/bluefox4), [B14CK313](https://crowdin.com/profile/b14ck313), [trailingstock](https://crowdin.com/profile/trailingstock), [Yushin Washio](https://crowdin.com/profile/yuwash), [baschi29](https://crowdin.com/profile/baschi29), [park](https://crowdin.com/profile/thebugmenot), [Unwoven](https://crowdin.com/profile/unwovencrestless), [Nausika](https://crowdin.com/profile/nausika)
🇬🇷 Greek | 12% | [Vasilis Ioannidis](https://crowdin.com/profile/vioannidis), [Alex Grig](https://crowdin.com/profile/alexgrig198)
🇮🇳 Hindi | 3% | [Swarnendu Maiti](https://crowdin.com/profile/swarnendu)
🇮🇩 Indonesian | 13% | [liimee](https://crowdin.com/profile/liimee), [Qwyn](https://crowdin.com/profile/qwyn)
🇮🇹 Italian | 11% | [Alessandro](https://crowdin.com/profile/alephoto85), [localizercrab](https://crowdin.com/profile/localizercrab)
🇳🇵 Nepali | 3% | 
🇵🇱 Polish | 40% | [Waldemar Stoczkowski](https://crowdin.com/profile/waldist), [ggngnn](https://crowdin.com/profile/prubart), [F_I](https://crowdin.com/profile/f_i)
🇵🇹 Portuguese | 20% | [Hierotsu](https://crowdin.com/profile/hierotsu)
🇧🇷 Portuguese, Brazilian | 52% | [Marcos Maciel](https://crowdin.com/profile/marcos_maciel_lima), [Lucas França](https://crowdin.com/profile/lucasnomad5g), [aleguiss](https://crowdin.com/profile/aleguiss), [dropdan](https://crowdin.com/profile/dropdan)
Russian | 100% | Odnovolov Artem
🇪🇸 Spanish | 95% | [sekinfo.org](https://www.sekinfo.org), [avtkal](https://crowdin.com/profile/avtkal), [Edwins0](https://crowdin.com/profile/edwins0), [Cod3Radar](https://crowdin.com/profile/cod3radar)
🇹🇷 Turkish | 7% | [Impaler67](https://crowdin.com/profile/impaler67), [TolDYuThad](https://crowdin.com/profile/toldyuthad), [halitagah](https://crowdin.com/profile/halitagah)
🇺🇦 Ukrainian | 100% | Odnovolov Artem
🇻🇳 Vietnamese | 86% | [bruhwut](https://crowdin.com/profile/bruhwut)

*P.S. English is not my native language. So feel free to point out my spelling mistakes.*